Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 726244

Summary: x11-terms/kterm calls ld directly
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: Current packagesAssignee: CJK Team <cjk>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 243502    
Attachments: build.log

Description Agostino Sarubbo gentoo-dev 2020-05-30 11:20:08 UTC
This is an auto-filed bug because x11-terms/kterm calls ld directly.
The issue was originally discovered on amd64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.

NOTE:
If you think it doesn't make sense fix these type of issues, I'd like to point out that won't be possible use a different linker implementation (like llvm-link) by setting the LD variable. So this issue has been reproduced by setting the LD variable to x86_64-pc-linux-gnu-ld and by removing the /usr/bin/ld binary.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-30 11:20:15 UTC
Created attachment 642712 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-04-15 06:39:38 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f218825807c87934ce211d5fa05721f01cbf53e8

commit f218825807c87934ce211d5fa05721f01cbf53e8
Author:     Ionen Wolkens <sudinave@gmail.com>
AuthorDate: 2021-04-14 14:28:05 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-04-15 06:38:58 +0000

    x11-terms/kterm: fix build with -native-symlinks
    
    Closes: https://bugs.gentoo.org/726244
    Signed-off-by: Ionen Wolkens <sudinave@gmail.com>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 x11-terms/kterm/kterm-6.2.0-r6.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)